Bug 180698 - irc/hybserv: Update to version 1.9.5
Summary: irc/hybserv: Update to version 1.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-20 19:10 UTC by tkato432
Modified: 2013-07-22 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (14.80 KB, patch)
2013-07-20 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-20 19:10:06 UTC
- Update to version 1.9.5
Comment 1 Edwin Groothuis freebsd_committer 2013-07-20 19:11:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-22 16:32:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-22 16:32:24 UTC
Author: miwi
Date: Mon Jul 22 15:32:10 2013
New Revision: 323470
URL: http://svnweb.freebsd.org/changeset/ports/323470

Log:
  - Update to 1.9.5
  
  PR:		180698
  Submitted by:	Ports Fury

Modified:
  head/irc/hybserv/Makefile   (contents, props changed)
  head/irc/hybserv/distinfo   (contents, props changed)
  head/irc/hybserv/pkg-descr   (contents, props changed)
  head/irc/hybserv/pkg-plist   (contents, props changed)

Modified: head/irc/hybserv/Makefile
==============================================================================
--- head/irc/hybserv/Makefile	Mon Jul 22 15:30:21 2013	(r323469)
+++ head/irc/hybserv/Makefile	Mon Jul 22 15:32:10 2013	(r323470)
@@ -1,30 +1,35 @@
-# New ports collection makefile for:	hybserv
-# Date created:				15 Jan 2003
-# Whom:					Rick Fournier <rick@help-desk.ca>
-#
+# Created by: Rick Fournier <rick@help-desk.ca>
 # $FreeBSD$
-#
 
 PORTNAME=	hybserv
-PORTVERSION=	1.9.4
+PORTVERSION=	1.9.5
 CATEGORIES=	irc
-MASTER_SITES=	SF/${PORTNAME}2/${PORTNAME}2/Hybserv%20${PORTVERSION}
+MASTER_SITES=	GH
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	HybServ2 IRCD Services
+COMMENT=	Hybrid2 IRC Services
 
-USE_GMAKE=	yes
+LICENSE=	GPLv2
+
+OPTIONS_DEFINE=		DAEMONTOOLS
+DAEMONTOOLS_DESC=	Daemontools support
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	dkorunic
+GH_PROJECT=	hybserv2
+GH_TAGNAME=	REL_${PORTVERSION:S/./_/g}
+GH_COMMIT=	ce15a9f
+
+USES=		gmake
 GNU_CONFIGURE=	yes
 
 USERS=		${PORTNAME}
 GROUPS=		${USERS}
 
-WRKSRC=		${WRKDIR}/hybserv
+DAEMONTOOLS_RUN_DEPENDS=	supervise:${PORTSDIR}/sysutils/daemontools
+DAEMONTOOLS_CONFIGURE_ENABLE=	daemontools
 
-.if defined(WITH_DAEMONTOOLS)
-CONFIGURE_ARGS+=	--with-daemontools
-RUN_DEPENDS+=	supervise:${PORTSDIR}/sysutils/daemontools
-.endif
+.include <bsd.port.options.mk>
 
 post-install:
 	@${SED} -e "s#%PREFIX%#${PREFIX}#" ${FILESDIR}/hybserv.sh \

Modified: head/irc/hybserv/distinfo
==============================================================================
--- head/irc/hybserv/distinfo	Mon Jul 22 15:30:21 2013	(r323469)
+++ head/irc/hybserv/distinfo	Mon Jul 22 15:32:10 2013	(r323470)
@@ -1,2 +1,2 @@
-SHA256 (hybserv-1.9.4.tar.gz) = 77e0580e1a3658d4a0b16a5b09ce9e1557b71c17e223b5e2cf3f0ebc9b57d630
-SIZE (hybserv-1.9.4.tar.gz) = 476868
+SHA256 (hybserv-1.9.5.tar.gz) = 98a6ae88cbacaff54515e0f20196e0324345fb4f2fb455f28d97f8ec4fb9eacf
+SIZE (hybserv-1.9.5.tar.gz) = 539647

Modified: head/irc/hybserv/pkg-descr
==============================================================================
--- head/irc/hybserv/pkg-descr	Mon Jul 22 15:30:21 2013	(r323469)
+++ head/irc/hybserv/pkg-descr	Mon Jul 22 15:32:10 2013	(r323470)
@@ -3,4 +3,4 @@ HybServ was specifically designed to run
 are currently used by EFNet / DalNet / ICQ / WFNet / HybNet / 
 EFNow / Openprojects Network.
 
-WWW: http://hybserv2.sourceforge.net/
+WWW: https://github.com/dkorunic/hybserv2

Modified: head/irc/hybserv/pkg-plist
==============================================================================
--- head/irc/hybserv/pkg-plist	Mon Jul 22 15:30:21 2013	(r323469)
+++ head/irc/hybserv/pkg-plist	Mon Jul 22 15:32:10 2013	(r323470)
@@ -1,224 +1,230 @@
 etc/rc.d/hybserv.sh
-hybserv/hybserv
 hybserv/cleandb
+hybserv/doc/COPYING
+hybserv/doc/INSTALL
+hybserv/doc/README
+hybserv/doc/README-FLAGS
+hybserv/doc/RELEASENOTES
+hybserv/doc/TCM-LINKING
+hybserv/doc/UPGRADE
+hybserv/doc/cleandb.8
+hybserv/doc/hybserv.8
+hybserv/doc/showchans.8
+hybserv/doc/shownicks.8
 hybserv/encryptconf
 hybserv/encryptdb
-hybserv/mkpasswd
-hybserv/servchk
 hybserv/finddupe
 hybserv/fixalvl
-hybserv/hybserv.conf
-hybserv/settings.conf
-hybserv/jupes.conf
 hybserv/glines.conf
-hybserv/motd.dcc
-hybserv/motd.global
-hybserv/showchans
-hybserv/shownicks
-hybserv/help/memoserv/reply
+hybserv/help/chanserv/access/add
+hybserv/help/chanserv/access/del
+hybserv/help/chanserv/access/index
+hybserv/help/chanserv/access/list
+hybserv/help/chanserv/akick/add
+hybserv/help/chanserv/akick/del
+hybserv/help/chanserv/akick/index
+hybserv/help/chanserv/akick/list
+hybserv/help/chanserv/clear
+hybserv/help/chanserv/clearnoexp
+hybserv/help/chanserv/cycle
+hybserv/help/chanserv/delme
+hybserv/help/chanserv/drop
+hybserv/help/chanserv/forbid
+hybserv/help/chanserv/forget
+hybserv/help/chanserv/halfop
+hybserv/help/chanserv/identify
+hybserv/help/chanserv/index
+hybserv/help/chanserv/info
+hybserv/help/chanserv/invite
+hybserv/help/chanserv/level/index
+hybserv/help/chanserv/level/list
+hybserv/help/chanserv/level/reset
+hybserv/help/chanserv/level/set
+hybserv/help/chanserv/list
+hybserv/help/chanserv/modes
+hybserv/help/chanserv/noexpire
+hybserv/help/chanserv/op
+hybserv/help/chanserv/register
+hybserv/help/chanserv/resetlevels
+hybserv/help/chanserv/set/comment
+hybserv/help/chanserv/set/email
+hybserv/help/chanserv/set/entrymsg
+hybserv/help/chanserv/set/expirebans
+hybserv/help/chanserv/set/forget
+hybserv/help/chanserv/set/founder
+hybserv/help/chanserv/set/guard
+hybserv/help/chanserv/set/index
+hybserv/help/chanserv/set/mlock
+hybserv/help/chanserv/set/password
+hybserv/help/chanserv/set/private
+hybserv/help/chanserv/set/pubcommands
+hybserv/help/chanserv/set/restricted
+hybserv/help/chanserv/set/secure
+hybserv/help/chanserv/set/secureops
+hybserv/help/chanserv/set/splitops
+hybserv/help/chanserv/set/successor
+hybserv/help/chanserv/set/topic
+hybserv/help/chanserv/set/topiclock
+hybserv/help/chanserv/set/url
+hybserv/help/chanserv/set/verbose
+hybserv/help/chanserv/setpass
+hybserv/help/chanserv/status
+hybserv/help/chanserv/unban
+hybserv/help/chanserv/unforbid
+hybserv/help/chanserv/voice
+hybserv/help/global/gchannote
+hybserv/help/global/gcmemo
+hybserv/help/global/gmemo
+hybserv/help/global/gnote
+hybserv/help/global/index
+hybserv/help/global/motd
+hybserv/help/helpserv/chanserv
+hybserv/help/helpserv/global
+hybserv/help/helpserv/index
+hybserv/help/helpserv/memoserv
+hybserv/help/helpserv/nickserv
+hybserv/help/helpserv/operserv
+hybserv/help/helpserv/seenserv
+hybserv/help/helpserv/statserv
 hybserv/help/memoserv/del
 hybserv/help/memoserv/forward
 hybserv/help/memoserv/index
-hybserv/help/memoserv/undel
-hybserv/help/memoserv/send
 hybserv/help/memoserv/list
-hybserv/help/memoserv/read
 hybserv/help/memoserv/purge
-hybserv/help/seenserv/join
-hybserv/help/seenserv/seennick
-hybserv/help/seenserv/part
-hybserv/help/seenserv/seenstat
-hybserv/help/seenserv/index
-hybserv/help/seenserv/seen
-hybserv/help/operserv/dcc/motd
-hybserv/help/operserv/dcc/quit
+hybserv/help/memoserv/read
+hybserv/help/memoserv/reply
+hybserv/help/memoserv/send
+hybserv/help/memoserv/undel
+hybserv/help/nickserv/access/add
+hybserv/help/nickserv/access/del
+hybserv/help/nickserv/access/index
+hybserv/help/nickserv/access/list
+hybserv/help/nickserv/clearnoexp
+hybserv/help/nickserv/collide
+hybserv/help/nickserv/drop
+hybserv/help/nickserv/droplink
+hybserv/help/nickserv/flag
+hybserv/help/nickserv/forbid
+hybserv/help/nickserv/ghost
+hybserv/help/nickserv/identify
+hybserv/help/nickserv/index
+hybserv/help/nickserv/info
+hybserv/help/nickserv/link
+hybserv/help/nickserv/list
+hybserv/help/nickserv/noexpire
+hybserv/help/nickserv/nolink
+hybserv/help/nickserv/recover
+hybserv/help/nickserv/recoverpass
+hybserv/help/nickserv/register
+hybserv/help/nickserv/release
+hybserv/help/nickserv/set/automask
+hybserv/help/nickserv/set/email
+hybserv/help/nickserv/set/gsm
+hybserv/help/nickserv/set/hide
+hybserv/help/nickserv/set/index
+hybserv/help/nickserv/set/kill
+hybserv/help/nickserv/set/master
+hybserv/help/nickserv/set/memos
+hybserv/help/nickserv/set/neverop
+hybserv/help/nickserv/set/noadd
+hybserv/help/nickserv/set/nolink
+hybserv/help/nickserv/set/notify
+hybserv/help/nickserv/set/password
+hybserv/help/nickserv/set/phone
+hybserv/help/nickserv/set/phrase
+hybserv/help/nickserv/set/private
+hybserv/help/nickserv/set/privmsg
+hybserv/help/nickserv/set/secure
+hybserv/help/nickserv/set/signon
+hybserv/help/nickserv/set/uin
+hybserv/help/nickserv/set/unsecure
+hybserv/help/nickserv/set/url
+hybserv/help/nickserv/setpass
+hybserv/help/nickserv/showlink
+hybserv/help/nickserv/unforbid
+hybserv/help/nickserv/unlink
+hybserv/help/operserv/channel
+hybserv/help/operserv/clones
 hybserv/help/operserv/dcc/boot
-hybserv/help/operserv/dcc/unlink
 hybserv/help/operserv/dcc/index
 hybserv/help/operserv/dcc/link
+hybserv/help/operserv/dcc/motd
+hybserv/help/operserv/dcc/quit
+hybserv/help/operserv/dcc/unlink
 hybserv/help/operserv/dcc/who
-hybserv/help/operserv/secure
-hybserv/help/operserv/htm
-hybserv/help/operserv/kill
-hybserv/help/operserv/save
-hybserv/help/operserv/gline
-hybserv/help/operserv/join
 hybserv/help/operserv/die
-hybserv/help/operserv/kline
-hybserv/help/operserv/motd
 hybserv/help/operserv/dump
-hybserv/help/operserv/reload
-hybserv/help/operserv/rehash
-hybserv/help/operserv/jump
-hybserv/help/operserv/identify
+hybserv/help/operserv/fuckover
+hybserv/help/operserv/gline
+hybserv/help/operserv/help
+hybserv/help/operserv/htm
 hybserv/help/operserv/hub
+hybserv/help/operserv/identify
 hybserv/help/operserv/ignore
-hybserv/help/operserv/clones
-hybserv/help/operserv/restart
+hybserv/help/operserv/index
+hybserv/help/operserv/join
+hybserv/help/operserv/jump
+hybserv/help/operserv/jupe
+hybserv/help/operserv/kill
 hybserv/help/operserv/killchan
-hybserv/help/operserv/help
 hybserv/help/operserv/killhost
+hybserv/help/operserv/kline
+hybserv/help/operserv/logout
+hybserv/help/operserv/motd
+hybserv/help/operserv/off
+hybserv/help/operserv/omode
+hybserv/help/operserv/on
+hybserv/help/operserv/part
+hybserv/help/operserv/rehash
+hybserv/help/operserv/reload
+hybserv/help/operserv/restart
+hybserv/help/operserv/save
+hybserv/help/operserv/secure
 hybserv/help/operserv/set
-hybserv/help/operserv/trace
 hybserv/help/operserv/stats
+hybserv/help/operserv/status
+hybserv/help/operserv/trace
+hybserv/help/operserv/umode
 hybserv/help/operserv/ungline
-hybserv/help/operserv/jupe
-hybserv/help/operserv/omode
 hybserv/help/operserv/unjupe
-hybserv/help/operserv/part
-hybserv/help/operserv/index
-hybserv/help/operserv/channel
-hybserv/help/operserv/umode
-hybserv/help/operserv/off
-hybserv/help/operserv/status
-hybserv/help/operserv/on
-hybserv/help/nickserv/access/del
-hybserv/help/nickserv/access/index
-hybserv/help/nickserv/access/add
-hybserv/help/nickserv/access/list
-hybserv/help/nickserv/nolink
-hybserv/help/nickserv/set/neverop
-hybserv/help/nickserv/set/phrase
-hybserv/help/nickserv/set/automask
-hybserv/help/nickserv/set/secure
-hybserv/help/nickserv/set/gsm
-hybserv/help/nickserv/set/privmsg
-hybserv/help/nickserv/set/email
-hybserv/help/nickserv/set/unsecure
-hybserv/help/nickserv/set/master
-hybserv/help/nickserv/set/kill
-hybserv/help/nickserv/set/uin
-hybserv/help/nickserv/set/signon
-hybserv/help/nickserv/set/password
-hybserv/help/nickserv/set/url
-hybserv/help/nickserv/set/index
-hybserv/help/nickserv/set/notify
-hybserv/help/nickserv/set/phone
-hybserv/help/nickserv/set/hide
-hybserv/help/nickserv/set/private
-hybserv/help/nickserv/set/memos
-hybserv/help/nickserv/setpass
-hybserv/help/nickserv/ghost
-hybserv/help/nickserv/register
-hybserv/help/nickserv/noexpire
-hybserv/help/nickserv/info
-hybserv/help/nickserv/recoverpass
-hybserv/help/nickserv/link
-hybserv/help/nickserv/showlink
-hybserv/help/nickserv/clearnoexp
-hybserv/help/nickserv/unlink
-hybserv/help/nickserv/drop
-hybserv/help/nickserv/recover
-hybserv/help/nickserv/forbid
-hybserv/help/nickserv/index
-hybserv/help/nickserv/unforbid
-hybserv/help/nickserv/flag
-hybserv/help/nickserv/list
-hybserv/help/nickserv/identify
-hybserv/help/nickserv/release
-hybserv/help/nickserv/collide
-hybserv/help/nickserv/droplink
-hybserv/help/statserv/stats
-hybserv/help/statserv/showstats
+hybserv/help/seenserv/index
+hybserv/help/seenserv/join
+hybserv/help/seenserv/part
+hybserv/help/seenserv/seen
+hybserv/help/seenserv/seennick
+hybserv/help/seenserv/seenstat
 hybserv/help/statserv/clearstats
-hybserv/help/statserv/server
 hybserv/help/statserv/domain
+hybserv/help/statserv/greplog
+hybserv/help/statserv/host
 hybserv/help/statserv/index
+hybserv/help/statserv/refresh
+hybserv/help/statserv/server
+hybserv/help/statserv/showadmins
 hybserv/help/statserv/showopers
+hybserv/help/statserv/showstats
 hybserv/help/statserv/split
-hybserv/help/statserv/showadmins
-hybserv/help/statserv/host
-hybserv/help/statserv/refresh
-hybserv/help/statserv/greplog
-hybserv/help/helpserv/memoserv
-hybserv/help/helpserv/nickserv
-hybserv/help/helpserv/operserv
-hybserv/help/helpserv/index
-hybserv/help/helpserv/chanserv
-hybserv/help/helpserv/seenserv
-hybserv/help/helpserv/statserv
-hybserv/help/helpserv/global
-hybserv/help/global/motd
-hybserv/help/global/gmemo
-hybserv/help/global/gchannote
-hybserv/help/global/gcmemo
-hybserv/help/global/index
-hybserv/help/global/gnote
-hybserv/help/chanserv/set/topic
-hybserv/help/chanserv/set/forget
-hybserv/help/chanserv/set/email
-hybserv/help/chanserv/set/topiclock
-hybserv/help/chanserv/set/expirebans
-hybserv/help/chanserv/set/password
-hybserv/help/chanserv/set/guard
-hybserv/help/chanserv/set/founder
-hybserv/help/chanserv/set/comment
-hybserv/help/chanserv/set/url
-hybserv/help/chanserv/set/mlock
-hybserv/help/chanserv/set/verbose
-hybserv/help/chanserv/set/index
-hybserv/help/chanserv/set/secureops
-hybserv/help/chanserv/set/restricted
-hybserv/help/chanserv/set/entrymsg
-hybserv/help/chanserv/set/pubcommands
-hybserv/help/chanserv/set/successor
-hybserv/help/chanserv/set/private
-hybserv/help/chanserv/set/splitops
-hybserv/help/chanserv/set/secure
-hybserv/help/chanserv/level/reset
-hybserv/help/chanserv/level/index
-hybserv/help/chanserv/level/list
-hybserv/help/chanserv/level/set
-hybserv/help/chanserv/akick/del
-hybserv/help/chanserv/akick/index
-hybserv/help/chanserv/akick/add
-hybserv/help/chanserv/akick/list
-hybserv/help/chanserv/access/del
-hybserv/help/chanserv/access/index
-hybserv/help/chanserv/access/add
-hybserv/help/chanserv/access/list
-hybserv/help/chanserv/op
-hybserv/help/chanserv/clear
-hybserv/help/chanserv/noexpire
-hybserv/help/chanserv/register
-hybserv/help/chanserv/info
-hybserv/help/chanserv/resetlevels
-hybserv/help/chanserv/invite
-hybserv/help/chanserv/cycle
-hybserv/help/chanserv/clearnoexp
-hybserv/help/chanserv/status
-hybserv/help/chanserv/unban
-hybserv/help/chanserv/drop
-hybserv/help/chanserv/forbid
-hybserv/help/chanserv/voice
-hybserv/help/chanserv/setpass
-hybserv/help/chanserv/modes
-hybserv/help/chanserv/index
-hybserv/help/chanserv/unforbid
-hybserv/help/chanserv/halfop
-hybserv/help/chanserv/list
-hybserv/help/chanserv/identify
-hybserv/help/chanserv/forget
-hybserv/doc/README-FLAGS
-hybserv/doc/cleandb.8
-hybserv/doc/hybserv.8
-hybserv/doc/showchans.8
-hybserv/doc/shownicks.8
-hybserv/doc/TCM-LINKING
-hybserv/doc/README
-hybserv/doc/UPGRADE
-hybserv/doc/INSTALL
-hybserv/doc/COPYING
-hybserv/doc/RELEASENOTES
-@dirrm hybserv/logs
-@dirrm hybserv/help/memoserv
+hybserv/help/statserv/stats
+hybserv/hybserv
+hybserv/hybserv.conf
+hybserv/jupes.conf
+hybserv/mkpasswd
+hybserv/motd.dcc
+hybserv/motd.global
+hybserv/servchk
+hybserv/settings.conf
+hybserv/showchans
+hybserv/shownicks
+@exec mkdir %D/hybserv/logs
+@dirrmtry hybserv/logs
+@dirrm hybserv/help/statserv
 @dirrm hybserv/help/seenserv
 @dirrm hybserv/help/operserv/dcc
 @dirrm hybserv/help/operserv
-@dirrm hybserv/help/nickserv/access
 @dirrm hybserv/help/nickserv/set
+@dirrm hybserv/help/nickserv/access
 @dirrm hybserv/help/nickserv
-@dirrm hybserv/help/statserv
+@dirrm hybserv/help/memoserv
 @dirrm hybserv/help/helpserv
 @dirrm hybserv/help/global
 @dirrm hybserv/help/chanserv/set
@@ -228,4 +234,4 @@ hybserv/doc/RELEASENOTES
 @dirrm hybserv/help/chanserv
 @dirrm hybserv/help
 @dirrm hybserv/doc
-@dirrm hybserv
+@dirrmtry hybserv
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"